Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class RequisitionBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean
          com.rf.ats.services.integration.webserv.RequisitionBean

All Implemented Interfaces:
  java.io.Serializable

public class RequisitionBean
extends EntityBean
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`RequisitionBean()`
`RequisitionBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status, java.lang.String city, java.lang.String description, java.lang.String duration, java.util.Calendar filledDate, java.lang.String jobCategory, java.lang.String jobCode, java.lang.String location, int numOpen, java.util.Calendar openedDate, java.lang.String payRange, java.lang.String state, java.lang.String title)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCity()` Gets the city value for this RequisitionBean.
`java.lang.String` | `getDescription()` Gets the description value for this RequisitionBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getDuration()` Gets the duration value for this RequisitionBean.
`java.util.Calendar` | `getFilledDate()` Gets the filledDate value for this RequisitionBean.
`java.lang.String` | `getJobCategory()` Gets the jobCategory value for this RequisitionBean.
`java.lang.String` | `getJobCode()` Gets the jobCode value for this RequisitionBean.
`java.lang.String` | `getLocation()` Gets the location value for this RequisitionBean.
`int` | `getNumOpen()` Gets the numOpen value for this RequisitionBean.
`java.util.Calendar` | `getOpenedDate()` Gets the openedDate value for this RequisitionBean.
`java.lang.String` | `getPayRange()` Gets the payRange value for this RequisitionBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.lang.String` | `getState()` Gets the state value for this RequisitionBean.
`java.lang.String` | `getTitle()` Gets the title value for this RequisitionBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCity(java.lang.String city)` Sets the city value for this RequisitionBean.
`void` | `setDescription(java.lang.String description)` Sets the description value for this RequisitionBean.
`void` | `setDuration(java.lang.String duration)` Sets the duration value for this RequisitionBean.
`void` | `setFilledDate(java.util.Calendar filledDate)` Sets the filledDate value for this RequisitionBean.
`void` | `setJobCategory(java.lang.String jobCategory)` Sets the jobCategory value for this RequisitionBean.
`void` | `setJobCode(java.lang.String jobCode)` Sets the jobCode value for this RequisitionBean.
`void` | `setLocation(java.lang.String location)` Sets the location value for this RequisitionBean.
`void` | `setNumOpen(int numOpen)` Sets the numOpen value for this RequisitionBean.
`void` | `setOpenedDate(java.util.Calendar openedDate)` Sets the openedDate value for this RequisitionBean.
`void` | `setPayRange(java.lang.String payRange)` Sets the payRange value for this RequisitionBean.
`void` | `setState(java.lang.String state)` Sets the state value for this RequisitionBean.
`void` | `setTitle(java.lang.String title)` Sets the title value for this RequisitionBean.

Methods inherited from class com.rf.ats.services.integration.webserv.EntityBean
`getCreationDate, getFlexValues, getId, getLastUpdated, getStatus, setCreationDate, setFlexValues, setId, setLastUpdated, setStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequisitionBean

    public RequisitionBean()

### RequisitionBean

    public RequisitionBean(java.util.Calendar creationDate,
                           FlexFieldBean[] flexValues,
                           long id,
                           java.util.Calendar lastUpdated,
                           java.lang.String status,
                           java.lang.String city,
                           java.lang.String description,
                           java.lang.String duration,
                           java.util.Calendar filledDate,
                           java.lang.String jobCategory,
                           java.lang.String jobCode,
                           java.lang.String location,
                           int numOpen,
                           java.util.Calendar openedDate,
                           java.lang.String payRange,
                           java.lang.String state,
                           java.lang.String title)

Method Detail

### getCity

    public java.lang.String getCity()

  Gets the city value for this RequisitionBean.

  Returns:
    city

### setCity

    public void setCity(java.lang.String city)

  Sets the city value for this RequisitionBean.

  Parameters:
    `city` -

### getDescription

    public java.lang.String getDescription()

  Gets the description value for this RequisitionBean.

  Returns:
    description

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description value for this RequisitionBean.

  Parameters:
    `description` -

### getDuration

    public java.lang.String getDuration()

  Gets the duration value for this RequisitionBean.

  Returns:
    duration

### setDuration

    public void setDuration(java.lang.String duration)

  Sets the duration value for this RequisitionBean.

  Parameters:
    `duration` -

### getFilledDate

    public java.util.Calendar getFilledDate()

  Gets the filledDate value for this RequisitionBean.

  Returns:
    filledDate

### setFilledDate

    public void setFilledDate(java.util.Calendar filledDate)

  Sets the filledDate value for this RequisitionBean.

  Parameters:
    `filledDate` -

### getJobCategory

    public java.lang.String getJobCategory()

  Gets the jobCategory value for this RequisitionBean.

  Returns:
    jobCategory

### setJobCategory

    public void setJobCategory(java.lang.String jobCategory)

  Sets the jobCategory value for this RequisitionBean.

  Parameters:
    `jobCategory` -

### getJobCode

    public java.lang.String getJobCode()

  Gets the jobCode value for this RequisitionBean.

  Returns:
    jobCode

### setJobCode

    public void setJobCode(java.lang.String jobCode)

  Sets the jobCode value for this RequisitionBean.

  Parameters:
    `jobCode` -

### getLocation

    public java.lang.String getLocation()

  Gets the location value for this RequisitionBean.

  Returns:
    location

### setLocation

    public void setLocation(java.lang.String location)

  Sets the location value for this RequisitionBean.

  Parameters:
    `location` -

### getNumOpen

    public int getNumOpen()

  Gets the numOpen value for this RequisitionBean.

  Returns:
    numOpen

### setNumOpen

    public void setNumOpen(int numOpen)

  Sets the numOpen value for this RequisitionBean.

  Parameters:
    `numOpen` -

### getOpenedDate

    public java.util.Calendar getOpenedDate()

  Gets the openedDate value for this RequisitionBean.

  Returns:
    openedDate

### setOpenedDate

    public void setOpenedDate(java.util.Calendar openedDate)

  Sets the openedDate value for this RequisitionBean.

  Parameters:
    `openedDate` -

### getPayRange

    public java.lang.String getPayRange()

  Gets the payRange value for this RequisitionBean.

  Returns:
    payRange

### setPayRange

    public void setPayRange(java.lang.String payRange)

  Sets the payRange value for this RequisitionBean.

  Parameters:
    `payRange` -

### getState

    public java.lang.String getState()

  Gets the state value for this RequisitionBean.

  Returns:
    state

### setState

    public void setState(java.lang.String state)

  Sets the state value for this RequisitionBean.

  Parameters:
    `state` -

### getTitle

    public java.lang.String getTitle()

  Gets the title value for this RequisitionBean.

  Returns:
    title

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title value for this RequisitionBean.

  Parameters:
    `title` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EntityBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EntityBean`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD